All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
dense_matrix< T > Class Template Reference

## Public Types

typedef std::size_t | size_type

## Public Member Functions

| dense_matrix (std::size_t rows, std::size_t cols)
T & | operator() (std::size_t i, std::size_t j)
T const & | operator() (std::size_t i, std::size_t j) const
std::size_t | size1 () const
std::size_t | size2 () const
dense_matrix & | operator+= (dense_matrix const &other)

## Detailed Description

### template<typename T>
class dense_matrix< T >

Definition at line 46 of file structured-matrices.cpp.

## Member Typedef Documentation

template<typename T>

typedef std::size_t dense_matrix< T >::size_type

Definition at line 49 of file structured-matrices.cpp.

## Constructor & Destructor Documentation

template<typename T>

dense_matrix< T >::dense_matrix | ( | std::size_t | rows,
|  | std::size_t | cols
| ) |  |

inline

Definition at line 51 of file structured-matrices.cpp.

## Member Function Documentation

template<typename T>

T& dense_matrix< T >::operator() | ( | std::size_t | i,
|  | std::size_t | j
| ) |  |

inline

Definition at line 53 of file structured-matrices.cpp.

template<typename T>

T const& dense_matrix< T >::operator() | ( | std::size_t | i,
|  | std::size_t | j
| ) |  | const

inline

Definition at line 54 of file structured-matrices.cpp.

template<typename T>

dense_matrix& dense_matrix< T >::operator+= | ( | dense_matrix< T > const & | other | ) |

inline

Definition at line 59 of file structured-matrices.cpp.

template<typename T>

std::size_t dense_matrix< T >::size1 | ( |  | ) | const

inline

Definition at line 56 of file structured-matrices.cpp.

template<typename T>

std::size_t dense_matrix< T >::size2 | ( |  | ) | const

inline

Definition at line 57 of file structured-matrices.cpp.

The documentation for this class was generated from the following file:

- tests/src/structured-matrices.cpp